package com.bytedance.ies.nle.editor_jni;

import X.5f9;
import X.5fy;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEMediaRuntimeController {
    public transient boolean LIZ = true;
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29819);
    }

    public void finalize() {
        LJI();
    }

    public final String LIZ(String str, String str2) {
        MethodCollector.i(15335);
        String NLEMediaRuntimeController_getFileInfo = NLEMediaPublicJniJNI.NLEMediaRuntimeController_getFileInfo(this.LIZIZ, this, str, str2);
        MethodCollector.o(15335);
        return NLEMediaRuntimeController_getFileInfo;
    }

    public final void LIZ(int i, int i2, int i3, int i4) {
        MethodCollector.i(15718);
        NLEMediaPublicJniJNI.NLEMediaRuntimeController_setDisplayPos(this.LIZIZ, this, i, i2, i3, i4);
        MethodCollector.o(15718);
    }

    public final void LIZ(float f, float f2, float f3, int i, int i2) {
        MethodCollector.i(16069);
        NLEMediaPublicJniJNI.NLEMediaRuntimeController_setDisplayState(this.LIZIZ, this, f, f2, f3, i, i2);
        MethodCollector.o(16069);
    }

    public final void LIZ(int i) {
        MethodCollector.i(16070);
        NLEMediaPublicJniJNI.NLEMediaRuntimeController_setBackgroundColor(this.LIZIZ, this, i);
        MethodCollector.o(16070);
    }

    public final void LIZ(NLEEncodeListenerWrapper nLEEncodeListenerWrapper) {
        MethodCollector.i(17757);
        NLEEncodeListenerWrapper nLEEncodeListenerWrapper2 = nLEEncodeListenerWrapper;
        NLEMediaPublicJniJNI.NLEMediaRuntimeController_setEncoderListener(this.LIZIZ, this, NLEEncodeListenerWrapper.getCPtr(nLEEncodeListenerWrapper2), nLEEncodeListenerWrapper2);
        MethodCollector.o(17757);
    }

    public final float LIZ() {
        MethodCollector.i(15138);
        float NLEMediaRuntimeController_getPlayFps = NLEMediaPublicJniJNI.NLEMediaRuntimeController_getPlayFps(this.LIZIZ, this);
        MethodCollector.o(15138);
        return NLEMediaRuntimeController_getPlayFps;
    }

    public final int LIZLLL() {
        MethodCollector.i(15336);
        int NLEMediaRuntimeController_cancelGetVideoFrames = NLEMediaPublicJniJNI.NLEMediaRuntimeController_cancelGetVideoFrames(this.LIZIZ, this);
        MethodCollector.o(15336);
        return NLEMediaRuntimeController_cancelGetVideoFrames;
    }

    public final boolean LJ() {
        MethodCollector.i(17452);
        boolean NLEMediaRuntimeController_isUseFilterProcess = NLEMediaPublicJniJNI.NLEMediaRuntimeController_isUseFilterProcess(this.LIZIZ, this);
        MethodCollector.o(17452);
        return NLEMediaRuntimeController_isUseFilterProcess;
    }

    public final int LJFF() {
        MethodCollector.i(17456);
        int NLEMediaRuntimeController_unlockSeekVideoClip = NLEMediaPublicJniJNI.NLEMediaRuntimeController_unlockSeekVideoClip(this.LIZIZ, this);
        MethodCollector.o(17456);
        return NLEMediaRuntimeController_unlockSeekVideoClip;
    }

    public final PairIntInt LIZJ() {
        MethodCollector.i(15333);
        PairIntInt pairIntInt = new PairIntInt(NLEMediaPublicJniJNI.NLEMediaRuntimeController_getInitSize__SWIG_0(this.LIZIZ, this), true);
        MethodCollector.o(15333);
        return pairIntInt;
    }

    private synchronized void LJI() {
        MethodCollector.i(14925);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEMediaPublicJniJNI.delete_NLEMediaRuntimeController(j);
            }
            this.LIZIZ = 0;
        }
        MethodCollector.o(14925);
    }

    public final PairIntInt LIZIZ() {
        MethodCollector.i(15332);
        PairIntInt pairIntInt = new PairIntInt(NLEMediaPublicJniJNI.NLEMediaRuntimeController_getVideoResolution(this.LIZIZ, this), true);
        MethodCollector.o(15332);
        return pairIntInt;
    }

    public NLEMediaRuntimeController(long j) {
        this.LIZIZ = j;
    }

    public final int LIZIZ(Object obj) {
        MethodCollector.i(17758);
        int NLEMediaRuntimeController_setPreviewSurfaceImage = NLEMediaPublicJniJNI.NLEMediaRuntimeController_setPreviewSurfaceImage(this.LIZIZ, this, obj, true);
        MethodCollector.o(17758);
        return NLEMediaRuntimeController_setPreviewSurfaceImage;
    }

    public final int LIZ(float f) {
        MethodCollector.i(17459);
        int NLEMediaRuntimeController_setHeightWidthRatio = NLEMediaPublicJniJNI.NLEMediaRuntimeController_setHeightWidthRatio(this.LIZIZ, this, f);
        MethodCollector.o(17459);
        return NLEMediaRuntimeController_setHeightWidthRatio;
    }

    public final int LIZIZ(String str) {
        MethodCollector.i(17454);
        int NLEMediaRuntimeController_lockSeekVideoClip = NLEMediaPublicJniJNI.NLEMediaRuntimeController_lockSeekVideoClip(this.LIZIZ, this, str);
        MethodCollector.o(17454);
        return NLEMediaRuntimeController_lockSeekVideoClip;
    }

    public final int LIZ(Object obj) {
        MethodCollector.i(17682);
        int NLEMediaRuntimeController_getDisplayImage = NLEMediaPublicJniJNI.NLEMediaRuntimeController_getDisplayImage(this.LIZIZ, this, obj);
        MethodCollector.o(17682);
        return NLEMediaRuntimeController_getDisplayImage;
    }

    public final NLEError LIZ(5f9 r5) {
        MethodCollector.i(17561);
        NLEError swigToEnum = NLEError.swigToEnum(NLEMediaPublicJniJNI.NLEMediaRuntimeController_setPreviewFillMode(this.LIZIZ, this, r5.swigValue()));
        MethodCollector.o(17561);
        return swigToEnum;
    }

    public final String LIZ(String str) {
        MethodCollector.i(15337);
        String NLEMediaRuntimeController_getMetadata = NLEMediaPublicJniJNI.NLEMediaRuntimeController_getMetadata(this.LIZIZ, this, str);
        MethodCollector.o(15337);
        return NLEMediaRuntimeController_getMetadata;
    }

    public final int LIZ(long j, long j2) {
        MethodCollector.i(17458);
        int NLEMediaRuntimeController_setMaxWidthAndHeight = NLEMediaPublicJniJNI.NLEMediaRuntimeController_setMaxWidthAndHeight(this.LIZIZ, this, j, j2);
        MethodCollector.o(17458);
        return NLEMediaRuntimeController_setMaxWidthAndHeight;
    }

    public final int LIZIZ(String str, String str2) {
        MethodCollector.i(15510);
        int NLEMediaRuntimeController_addMetadata = NLEMediaPublicJniJNI.NLEMediaRuntimeController_addMetadata(this.LIZIZ, this, str, str2);
        MethodCollector.o(15510);
        return NLEMediaRuntimeController_addMetadata;
    }

    public final void LIZIZ(int i, int i2) {
        MethodCollector.i(17461);
        NLEMediaPublicJniJNI.NLEMediaRuntimeController_setCanvasSize(this.LIZIZ, this, i, i2);
        MethodCollector.o(17461);
    }

    public final PairIntInt LIZ(int i, int i2) {
        MethodCollector.i(15334);
        PairIntInt pairIntInt = new PairIntInt(NLEMediaPublicJniJNI.NLEMediaRuntimeController_getInitSize__SWIG_1(this.LIZIZ, this, i, i2), true);
        MethodCollector.o(15334);
        return pairIntInt;
    }

    public final int LIZ(VecLongLong vecLongLong, int i, int i2, 5fy r18, NLEListenerGetImageWrapper nLEListenerGetImageWrapper) {
        long j;
        MethodCollector.i(17756);
        long j2 = this.LIZIZ;
        VecLongLong vecLongLong2 = vecLongLong;
        if (vecLongLong2 == null) {
            j = 0;
        } else {
            j = vecLongLong2.LIZ;
        }
        NLEListenerGetImageWrapper nLEListenerGetImageWrapper2 = nLEListenerGetImageWrapper;
        int NLEMediaRuntimeController_getImages = NLEMediaPublicJniJNI.NLEMediaRuntimeController_getImages(j2, this, j, vecLongLong2, i, i2, r18.swigValue(), NLEListenerGetImageWrapper.getCPtr(nLEListenerGetImageWrapper2), nLEListenerGetImageWrapper2);
        MethodCollector.o(17756);
        return NLEMediaRuntimeController_getImages;
    }
}
